package tree

import (
	"crypto/sha256"
	"fmt"
	"math/big"
	"testing"
)

func Test(t *testing.T) {
	dataList := [][]byte{[]byte{0x01, 0x01}, []byte{0x02, 0x02}, {0x03, 0x03}, {0x04, 0x04}}

	digestList := make([][32]byte, len(dataList))

	for i := 0; i < len(dataList); i++ {
		digestList[i] = sha256.Sum256(dataList[i])
	}

	fmt.Printf("%x\n", digestList)

	valList := []*big.Int{big.NewInt(1), big.NewInt(2), big.NewInt(3), big.NewInt(4)}

	roots, sums := ComputeMST(digestList, valList)
	fmt.Printf("%x\n", roots[0])
	fmt.Println(sums[0].String())
}
